seo:
  title: Public open source projects are eligible for Ultimate tier features
  description: >-
    GitLab's Open Source Program offers top-tier functionality and 50,000 CI
    pipeline minutes, for free. Learn more about applying.
  ogTitle: Public open source projects are eligible for Ultimate tier features
  ogDescription: >-
    GitLab's Open Source Program offers top-tier functionality and 50,000 CI
    pipeline minutes, for free. Learn more about applying.
  noIndex: false
  ogImage: images/blog/hero-images/open_source_program_blog_image.jpg
  ogUrl: https://about.gitlab.com/blog/ultimate-perks-for-open-source-projects
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/ultimate-perks-for-open-source-projects
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "Public open source projects are eligible for Ultimate tier features",
            "author": [{"@type":"Person","name":"Orit Golowinski"}],
            "datePublished": "2022-02-04",
          }

content:
  title: Public open source projects are eligible for Ultimate tier features
  description: >-
    GitLab's Open Source Program offers top-tier functionality and 50,000 CI
    pipeline minutes, for free. Learn more about applying.
  authors:
    - Orit Golowinski
  heroImage: images/blog/hero-images/open_source_program_blog_image.jpg
  date: '2022-02-04'
  body: >

    > **2022-07-28 UPDATE:** As of 2022-07-01, all public open source projects
    on the Free tier have to apply to the Open Source program to continue
    receiving GitLab Ultimate benefits. In-app notifications informing impacted
    users of the change were active from 2022-04-18 through 2022-07-01. Please
    refer to the
    [FAQ](/pricing/faq-efficient-free-tier/#public-projects-on-gitlab-saas-free-tier)
    for more details.


    GitLab believes in a world where everyone can contribute and we like to
    support those who share our mission.


    GitLab exists today in large part thanks to the work of hundreds of
    thousands of open source contributors around the world. To give back to this
    community, the [GitLab for Open Source Program](/solutions/open-source/) was
    created to help open source teams be more efficient, secure, and productive
    by allowing them to use GitLab’s [top tier](/pricing/) capabilities.


    Open source organizations have to meet the program requirements and actively
    apply in order to qualify. 


    Requirements include:


    * **OSI-approved open source license**: All of the code you host in this
    GitLab group must be published under [OSI-approved open source
    licenses](https://opensource.org/licenses/category)

    * **Not seeking profit**: Your organization must not seek to make a profit
    through services or by charging for higher tiers. Accepting donations to
    sustain your efforts is ok. [Read more about this requirement
    here](/handbook/marketing/developer-relations/community-programs/opensource-program/#who-qualifies-for-the-gitlab-for-open-source-program).

    * Publicly visible: Your GitLab.com group or self-managed instance and your
    source code must be [publicly visible and publicly
    available](https://docs.gitlab.com/ee/user/public_access.html).


    [Learn more and apply](/solutions/open-source/join/) to the GitLab for Open
    Source Program.


    **Note**: Newly created public projects will no longer automatically receive
    the Ultimate tier benefits as of 2022-02-17, more details in [this FAQ
    entry](/pricing/faq-efficient-free-tier/#public-projects-on-gitlab-saas-free-tier).
    In order to receive the benefits, you will need to [apply](#how-to-apply) to
    the GitLab for Open Source Program.


    ## Why apply to the GitLab for Open Source Program?


    The GitLab for Open Source Program gives access to unlimited seats per
    license to features of [GitLab Ultimate](/pricing/ultimate/) (SaaS or
    Self-Managed), including 50,000 CI/CD minutes, for free to qualifying open
    source projects. GitLab Ultimate includes features that allow
    organization-wide security, compliance and planning. Some key features
    include:


    - [Multi-level Epics](https://docs.gitlab.com/ee/user/group/epics/)

    - [Portfolio-level Roadmaps](https://docs.gitlab.com/ee/user/group/roadmap/)

    - [Requirements Management](/direction/plan/#requirements-management)

    - [Compliance pipeline
    configuration](https://docs.gitlab.com/ee/user/project/settings/#compliance-pipeline-configuration)

    - [Chain of custody
    report](https://docs.gitlab.com/ee/user/compliance/compliance_report/#chain-of-custody-report)

    - [Vulnerability
    Database](https://docs.gitlab.com/ee/user/application_security/dependency_scanning/#contributing-to-the-vulnerability-database)

    - [Dependency
    Scanning](https://docs.gitlab.com/ee/user/application_security/dependency_scanning/)

    - and much more...


    To see a complete list of features, see our

    [Feature Comparison between tiers](/pricing/feature-comparison/) page. 


    * Free top-tier accounts do not include support. However, you can purchase
    [support](/support/) for 95% off, at $4.95 per user per month.

    * Your program membership needs to be renewed annually. If you do not renew,
    [your account will be
    downgraded](/pricing/licensing-faq/#what-happens-when-my-subscription-is-about-to-expire-or-has-expired).

    * Acceptance into the GitLab for Open Source Program is at GitLab’s sole
    discretion, and we reserve the right to terminate the Program, or change the
    [Program requirements](/solutions/open-source/join/#requirements) at any
    time.


    If you have any additional questions regarding this program, feel free to
    reach us at [opensource@gitlab.com](mailto:opensource@gitlab.com).


    ## How to apply


    1. Set up a GitLab account. You’ll need to have a GitLab group already set
    up for your open source project or organization through a Free account or
    Free Trial. For help setting up a GitLab group, please see the relevant
    [FAQ](/solutions/open-source/join/#faqs). If you're considering a migration,
    you do not need to have finished the migration before applying to our
    program. You will need at least one project (repo) set up under your GitLab
    group to comply with our requirements.

    1. Take screenshots. During the application process, you’ll need to provide
    3 screenshots of your project. We suggest taking them in advance, since
    you’ll need to submit them on page two of the application form.

    1. Fill out the [form](/solutions/open-source/join/#application) and submit
    it. 


    Applications are reviewed and a response to your request can be expected
    within 10 business days. You may be asked to provide additional information.


    Cover image by [Clay Banks](https://unsplash.com/photos/N3SsG7xR-Dg) on
    [Unsplash](https://unsplash.com)

    {: .note}
  category: News
  tags:
    - open source
    - contributors
    - DevOps
config:
  slug: ultimate-perks-for-open-source-projects
  featured: false
  template: BlogPost
